Examples:
<ul>
<li><code>https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884c09aef38b/authors</code></li>
<ul>
<li>Returns with offset=0, and data is a list of all 3 authors.</li>
<li>Each author has their authorId and name</li>
</ul>
<li><code>https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884c09aef38b/authors?fields=affiliations,papers&limit=2</code></li>
<ul>
<li>Returns with offset=0, next=2, and data is a list of 2 authors.</li>
<li>Each author has their authorId, affiliations, and list of papers.</li>
<li>Each paper has its paperId and title.</li>
</ul>
<li><code>https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884c09aef38b/authors?fields=url,papers.year,papers.authors&offset=2</code></li>
<ul>
<li>Returns with offset=2, and data is a list containing the last author.</li>
<li>This author has their authorId, url, and list of papers.</li>
<li>Each paper has its paperId, year, and list of authors.</li>
<li>In that list of authors, each author has their authorId and name.</li>
</ul>
</ul>
Parameters (4)
fields(string, query, optional)
A comma-separated list of the fields to be returned. See the contents of the <code>data</code> array in Response Schema below for a list of all available fields that can be returned.
The <code>authorId</code> field is always returned. If the fields parameter is omitted, only the <code>authorId</code> and <code>name</code> will be returned.
<p>Use a period (“.”) for subfields of <code>papers</code>.<br><br>
Examples:
<ul>
<li><code>fields=name,affiliations,papers</code></li>
<li><code>fields=url,papers.year,papers.authors</code></li>
</ul>
limit(integer, query, optional, default: 100)
The maximum number of results to return.<br>
Must be <= 1000
offset(integer, query, optional, default: 0)
Used for pagination. When returning a list of results, start with the element at this position in the list.
paper_id(string, path, required)
The following types of IDs are supported:
<ul>
<li><code><sha></code> - a Semantic Scholar ID, e.g. <code>649def34f8be52c8b66281af98ae884c09aef38b</code></li>
<li><code>CorpusId:<id></code> - a Semantic Scholar numerical ID, e.g. <code>CorpusId:215416146</code></li>
<li><code>DOI:<doi></code> - a <a href="http://doi.org">Digital Object Identifier</a>,
e.g. <code>DOI:10.18653/v1/N18-3011</code></li>
<li><code>ARXIV:<id></code> - <a href="https://arxiv.org/">arXiv.rg</a>, e.g. <code>ARXIV:2106.15928</code></li>
<li><code>MAG:<id></code> - Microsoft Academic Graph, e.g. <code>MAG:112218234</code></li>
<li><code>ACL:<id></code> - Association for Computational Linguistics, e.g. <code>ACL:W12-3903</code></li>
<li><code>PMID:<id></code> - PubMed/Medline, e.g. <code>PMID:19872477</code></li>
<li><code>PMCID:<id></code> - PubMed Central, e.g. <code>PMCID:2323736</code></li>
<li><code>URL:<url></code> - URL from one of the sites listed below, e.g. <code>URL:https://arxiv.org/abs/2106.15928v1</code></li>
</ul>
URLs are recognized from the following sites:
<ul>
<li><a href="https://www.semanticscholar.org/">semanticscholar.org</a></li>
<li><a href="https://arxiv.org/">arxiv.org</a></li>
<li><a href="https://www.aclweb.org">aclweb.org</a></li>
<li><a href="https://www.acm.org/">acm.org</a></li>
<li><a href="https://www.biorxiv.org/">biorxiv.org</a></li>
</ul>
import zingu_apis
api = zingu_apis.api("semanticscholar")
result = api.fetch("paper/{paper_id}/authors", fields="authorId,name,affiliations")
for item in result:
print(item)
const resp = await fetch("https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884c09aef38b/authors?fields=authorId%2Cname%2Caffiliations");
const data = await resp.json();
import zingu_apis
api = zingu_apis.api("semanticscholar")
result = api.fetch("paper/{paper_id}/authors", limit=10, offset=0)
for item in result:
print(item)
const resp = await fetch("https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884c09aef38b/authors?limit=10&offset=0");
const data = await resp.json();